package com.ruoyi.Installationcost.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * Installationcost对象 mes_info_installationcost
 * 
 * @author ruoyi
 * @date 2023-08-16
 */
public class MesInfoInstallationcost extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 任务号 */
    @Excel(name = "任务号")
    private String taskno;

    /** 装机成本值 */
    @Excel(name = "装机成本值")
    private BigDecimal value;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskno(String taskno)
    {
        this.taskno = taskno;
    }

    public String getTaskno()
    {
        return taskno;
    }
    public void setValue(BigDecimal value) 
    {
        this.value = value;
    }

    public BigDecimal getValue() 
    {
        return value;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskno", getTaskno())
            .append("value", getValue())
            .toString();
    }
}
